.menu-subpages-toggle {
	text-decoration: none;
	padding: 0 0 var(--vr-spacing-05);
	display: block;
}

.menu-subpages-toggle__label {
	position: relative;
	display: grid;
	grid-template: 'icon text' auto / auto;
	justify-content: start;
	align-items: center;
	gap: 10px;
	width: fit-content;
	color: var(--color-light-blue);
}

.menu-subpages-toggle__icon {
	font-size: var(--font-size-headline-large);
	grid-area: icon;
}

.menu-subpages-toggle__text {
	grid-area: text;
}

.menu-subpages-tiles {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: var(--hr-spacing-2);
	list-style: none;
	margin: 0;
	padding: 0;
	transition: max-height 0.75s var(--animation-timing-function);
	max-height: 9999px;
	overflow: hidden;
}

.menu-subpages-tiles__item {
	margin: 0;
	border: 1px solid var(--color-border);
}

.menu-subpages-tiles__item--current {
	transform: scale(0.9);
}

.menu-subpages-tiles__item--current .menu-subpages-tiles__link {
	font-weight: 600;
}

.menu-subpages-tiles__link {
	display: grid;
	grid-template:
		'icon' auto
		'title' auto / auto;
	justify-items: center;
	align-items: center;
	width: 100%;
	height: 100%;
	aspect-ratio: 1;
	background-position: center;
	background-repeat: no-repeat;
	background-size: 40%;
	overflow: hidden;
	text-decoration: none;
}

.menu-subpages-tiles__link:hover {
	color: initial;
}

.menu-subpages-tiles__icon {
	grid-area: icon;
	width: 50%;
	transition: transform 0.25s var(--animation-timing-function);
}

.menu-subpages-tiles__link:hover .menu-subpages-tiles__icon {
	transform: scale(1.095);
}

.menu-subpages-tiles__title {
	grid-area: title;
	display: block;
	padding: 0 var(--hr-spacing-1);
	text-align: center;
	font-size: var(--font-size-copytext-small);
	line-height: var(--line-height-copytext-small);
}

@media screen and (min-width: 500px) {
	.menu-subpages-tiles {
		grid-template-columns: repeat(3, 1fr);
	}
}

@media screen and (min-width: 700px) {
	.menu-subpages-tiles {
		grid-template-columns: repeat(4, 1fr);
		transition: none;
	}
}

@media screen and (min-width: 900px) {
	.menu-subpages-tiles {
		grid-template-columns: repeat(5, 1fr);
	}
}
